<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number110</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.106:</b> Write a JavaScript program to divide an integer by another integer as long as the result is an integer and return the result..</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
	  <input type="number" id="num1" placeholder="Array Elements" style="width: 200px ;margin-top: 5px;"><br>
	  <input type="number" id="num2" placeholder="Number For Evens before it" style="width: 200px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var num1 = + document.getElementById('num1').value;
		  var num2 = + document.getElementById('num2').value;
		  var arr = [];
		  var result = 0
		  for ( i=0 ; i<num1 ; i++){
		  arr.push(prompt("Enter Element" + (i+1)));
		  arr.map(Number);
		  }
		  for ( i=0 ; i<arr.length ; i++){
			  if( arr[i] % 2 == 0 && arr[i] !== num2){
				  result++;
			  }
			  if( arr[i] == num2 ) {
				  return result;
			  }
			  document.getElementById('demo').innerHTML= 
				  "The Array is:<br> [ " + arr.join(' , ') + " ]<br>" +
				  "And even Numbers before " + num2 + " is " + result;		  
		  }

	  }
	</script>
	
</body>
</html>
